Skip to main content
GET
/
messages
Search messages
curl --request GET \
  --url https://api.sentvia.ai/v1/messages \
  --header 'Authorization: Bearer <token>'
{
  "mode_used": "<string>",
  "messages": [
    {
      "id": "<string>",
      "thread_id": "<string>",
      "direction": "<string>",
      "from_addr": "<string>",
      "to_addrs": [
        "<string>"
      ],
      "subject": "<string>",
      "body_text": "<string>",
      "delivery_status": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string
mode
enum<string>
Available options:
keyword,
semantic,
hybrid
inbox_id
string
limit
integer

Response

200 - application/json

OK

mode_used
string
messages
object[]